Bug 730002 - The keyutils subpackage should depend on the keyutils-libs subpackage
Summary: The keyutils subpackage should depend on the keyutils-libs subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: keyutils
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Howells
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 14:04 UTC by David Howells
Modified: 2011-12-06 17:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:01:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:1684 normal SHIPPED_LIVE keyutils bug fix and enhancement update 2011-12-06 00:50:03 UTC

Description David Howells 2011-08-11 14:04:13 UTC
The keyutils subpackage in the spec file should depend on exactly the same version of the keyutils-libs subpackage so that they get upgraded together.

Currently the only dependency is an implicit one on the SONAMEs of libkeyutils.

Comment 1 David Howells 2011-08-11 14:05:11 UTC
The fix is this:

--- a/keyutils.spec
+++ b/keyutils.spec
@@ -19,6 +19,7 @@ Source0: http://people.redhat.com/~dhowells/keyutils/keyutils-%{version}.tar.bz2
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildRequires: glibc-kernheaders >= 2.4-9.1.92
+Requires: keyutils-libs == %{version}-%{release}
 
 %description
 Utilities to control the kernel key management facility and to provide

Comment 3 RHEL Product and Program Management 2011-08-11 14:31:54 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 4 David Howells 2011-08-12 11:27:06 UTC
Tested simply by trying to upgrade the keyutils-1.4-2 package to -3 without upgrading the library too:

[root@intel-s3eb1-03 ~]# rpm -Uvh keyutils-1.4-3.el6.x86_64.rpm 
error: Failed dependencies:
        keyutils-libs = 1.4-3.el6 is needed by keyutils-1.4-3.el6.x86_64

and checking that the keyutils package explicitly includes a dependency on the corresponding -libs:

[root@intel-s3eb1-03 ~]# rpm -qR keyutils
...
keyutils-libs = 1.4-3.el6
...

And then checking that the packages together do upgrade:

[root@intel-s3eb1-03 ~]# rpm -Uvh keyutils-1.4-3.el6.x86_64.rpm keyutils-libs-1.4-3.el6.x86_64.rpm keyutils-libs-devel-1.4-3.el6.x86_64.rpm 
Preparing...                ########################################### [100%]
   1:keyutils-libs          ########################################### [ 33%]
   2:keyutils               ########################################### [ 67%]
   3:keyutils-libs-devel    ########################################### [100%]

Comment 7 errata-xmlrpc 2011-12-06 17:01:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2011-1684.html


Note You need to log in before you can comment on or make changes to this bug.